# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
BF_ENC = @BF_ENC@
BN_MULW = @BN_MULW@
CC = @CC@
CPP = @CPP@
DES_ENC = @DES_ENC@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
VERSION = @VERSION@

SUBDIRS=demoCA set stuff
bin_PROGRAMS=ssleay
EXTRA_PROGRAMS=pem_mail req
bin_SCRIPTS=CA.sh der_chop
ssldir=$(datadir)/ssl
ssl_DATA=ssleay.cnf

CPPFLAGS=@CPPFLAGS@ -DMONOLITH

ssleay_SOURCES=apps.c asn1pars.c ca.c ciphers.c crl.c crl2p7.c dgst.c dh.c \
	dsa.c dsaparam.c enc.c errstr.c gendh.c gendsa.c genrsa.c pkcs7.c \
	req.c rsa.c s_cb.c s_client.c s_server.c s_socket.c s_time.c \
	sess_id.c speed.c ssleay.c verify.c version.c x509.c

ssleay_LDADD=-lssl -lcrypto
ssleay_LDFLAGS=-L$(top_builddir)/crypto -L$(top_builddir)/ssl
ssleay_DEPENDENCIES=$(top_builddir)/ssl/libssl.a \
	$(top_builddir)/crypto/libcrypto.a

req_SOURCES=apps.c
req_LDADD=sreq.o -lcrypto
req_LDFLAGS=-L$(top_builddir)/crypto
req_DEPENDENCIES=sreq.o $(top_builddir)/crypto/libcrypto.a

pem_mail_SOURCES=apps.c pem_mail.c
pem_mail_LDADD=-lcrypto
pem_mail_LDFLAGS=-L$(top_builddir)/crypto
pem_mail_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=CA.sh Makefile.ssl apps.h bss_file.c c512-key.pem c512-req.pem \
	ca-cert.srl ca-key.pem ca-req.pem client.pem der_chop dh1024.pem \
	dsa-ca.pem dsa-pca.pem dsa1024.pem dsa512.pem eay.c f g_ssleay.pl \
	mklinks pca-cert.srl pca-key.pem pca-req.pem privkey.pem progs.h \
	rmlinks rsa8192.pem s1024key.pem s1024req.pem s512-key.pem \
	s512-req.pem server.pem server2.pem s_apps.h ssleay.cnf test.ssl \
	testCA.pem testdsa.h testrsa.h tkca

BUILT_SOURCES=progs.h
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
pem_mail_OBJECTS =  apps.o pem_mail.o
req_OBJECTS =  apps.o
ssleay_OBJECTS =  apps.o asn1pars.o ca.o ciphers.o crl.o crl2p7.o dgst.o \
dh.o dsa.o dsaparam.o enc.o errstr.o gendh.o gendsa.o genrsa.o pkcs7.o \
req.o rsa.o s_cb.o s_client.o s_server.o s_socket.o s_time.o sess_id.o \
speed.o ssleay.o verify.o version.o x509.o
SCRIPTS =  $(bin_SCRIPTS)

CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DATA =  $(ssl_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP = --best
SOURCES = $(pem_mail_SOURCES) $(req_SOURCES) $(ssleay_SOURCES)
OBJECTS = $(pem_mail_OBJECTS) $(req_OBJECTS) $(ssleay_OBJECTS)

all: all-recursive all-am

.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps apps/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

pem_mail: $(pem_mail_OBJECTS) $(pem_mail_DEPENDENCIES)
	@rm -f pem_mail
	$(LINK) $(pem_mail_LDFLAGS) $(pem_mail_OBJECTS) $(pem_mail_LDADD) $(LIBS)

req: $(req_OBJECTS) $(req_DEPENDENCIES)
	@rm -f req
	$(LINK) $(req_LDFLAGS) $(req_OBJECTS) $(req_LDADD) $(LIBS)

ssleay: $(ssleay_OBJECTS) $(ssleay_DEPENDENCIES)
	@rm -f ssleay
	$(LINK) $(ssleay_LDFLAGS) $(ssleay_OBJECTS) $(ssleay_LDADD) $(LIBS)

install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_SCRIPTS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done

install-sslDATA: $(ssl_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(ssldir)
	@list='$(ssl_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(ssldir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(ssldir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(ssldir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(ssldir)/$$p; \
	  fi; fi; \
	done

uninstall-sslDATA:
	@$(NORMAL_UNINSTALL)
	list='$(ssl_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(ssldir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  target=`echo $@ | sed s/-recursive//`; \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	done; \
	for subdir in $$rev; do \
	  target=`echo $@ | sed s/-recursive//`; \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  (cd $$subdir && $(MAKE) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = apps

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
	for subdir in $(SUBDIRS); do \
	  test -d $(distdir)/$$subdir \
	  || mkdir $(distdir)/$$subdir \
	  || exit 1; \
	  chmod 777 $(distdir)/$$subdir; \
	  (cd $$subdir && $(MAKE) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
	    || exit 1; \
	done
apps.o: apps.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h
asn1pars.o: asn1pars.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/rsa.h ../include/bn.h \
	../include/dsa.h ../include/dh.h ../include/objects.h \
	../include/asn1.h ../include/x509.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
ca.o: ca.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/bn.h ../include/txt_db.h ../include/evp.h \
	../include/md2.h ../include/md5.h ../include/sha.h \
	../include/des.h ../include/rc4.h ../include/rc2.h \
	../include/blowfish.h ../include/idea.h ../include/mdc2.h \
	../include/rsa.h ../include/dsa.h ../include/dh.h \
	../include/objects.h ../include/asn1.h ../include/x509.h \
	../include/x509_vfy.h ../include/pkcs7.h ../include/pem.h
ciphers.o: ciphers.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/ssl.h ../include/x509.h ../include/asn1.h \
	../include/bn.h ../include/rsa.h ../include/dsa.h \
	../include/dh.h ../include/evp.h ../include/md2.h \
	../include/md5.h ../include/sha.h ../include/des.h \
	../include/rc4.h ../include/rc2.h ../include/blowfish.h \
	../include/idea.h ../include/mdc2.h ../include/objects.h \
	../include/x509_vfy.h ../include/pkcs7.h ../include/ssl2.h \
	../include/ssl3.h ../include/ssl23.h
crl.o: crl.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/x509.h ../include/asn1.h ../include/bn.h \
	../include/rsa.h ../include/dsa.h ../include/dh.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/objects.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
crl2p7.o: crl2p7.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/rsa.h ../include/bn.h \
	../include/dsa.h ../include/dh.h ../include/objects.h \
	../include/asn1.h ../include/x509.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
dgst.o: dgst.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/rsa.h ../include/bn.h \
	../include/dsa.h ../include/dh.h ../include/objects.h \
	../include/asn1.h ../include/x509.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
dh.o: dh.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/bn.h ../include/dh.h ../include/x509.h \
	../include/asn1.h ../include/rsa.h ../include/dsa.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/objects.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
dsa.o: dsa.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/dsa.h ../include/bn.h ../include/evp.h \
	../include/md2.h ../include/md5.h ../include/sha.h \
	../include/des.h ../include/rc4.h ../include/rc2.h \
	../include/blowfish.h ../include/idea.h ../include/mdc2.h \
	../include/rsa.h ../include/dh.h ../include/objects.h \
	../include/asn1.h ../include/x509.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
dsaparam.o: dsaparam.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/bn.h ../include/rand.h ../include/dsa.h \
	../include/x509.h ../include/asn1.h ../include/rsa.h \
	../include/dh.h ../include/evp.h ../include/md2.h \
	../include/md5.h ../include/sha.h ../include/des.h \
	../include/rc4.h ../include/rc2.h ../include/blowfish.h \
	../include/idea.h ../include/mdc2.h ../include/objects.h \
	../include/x509_vfy.h ../include/pkcs7.h ../include/pem.h
enc.o: enc.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/rsa.h ../include/bn.h \
	../include/dsa.h ../include/dh.h ../include/objects.h \
	../include/asn1.h ../include/x509.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
errstr.o: errstr.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/ssl.h ../include/x509.h ../include/asn1.h \
	../include/bn.h ../include/rsa.h ../include/dsa.h \
	../include/dh.h ../include/evp.h ../include/md2.h \
	../include/md5.h ../include/sha.h ../include/des.h \
	../include/rc4.h ../include/rc2.h ../include/blowfish.h \
	../include/idea.h ../include/mdc2.h ../include/objects.h \
	../include/x509_vfy.h ../include/pkcs7.h ../include/ssl2.h \
	../include/ssl3.h ../include/ssl23.h
gendh.o: gendh.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/rand.h \
	../include/err.h ../include/bn.h ../include/dh.h \
	../include/x509.h ../include/asn1.h ../include/rsa.h \
	../include/dsa.h ../include/evp.h ../include/md2.h \
	../include/md5.h ../include/sha.h ../include/des.h \
	../include/rc4.h ../include/rc2.h ../include/blowfish.h \
	../include/idea.h ../include/mdc2.h ../include/objects.h \
	../include/x509_vfy.h ../include/pkcs7.h ../include/pem.h
gendsa.o: gendsa.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/rand.h \
	../include/err.h ../include/bn.h ../include/dsa.h \
	../include/x509.h ../include/asn1.h ../include/rsa.h \
	../include/dh.h ../include/evp.h ../include/md2.h \
	../include/md5.h ../include/sha.h ../include/des.h \
	../include/rc4.h ../include/rc2.h ../include/blowfish.h \
	../include/idea.h ../include/mdc2.h ../include/objects.h \
	../include/x509_vfy.h ../include/pkcs7.h ../include/pem.h
genrsa.o: genrsa.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/rand.h \
	../include/err.h ../include/bn.h ../include/rsa.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/dsa.h ../include/dh.h \
	../include/objects.h ../include/asn1.h ../include/x509.h \
	../include/x509_vfy.h ../include/pkcs7.h ../include/pem.h
pkcs7.o: pkcs7.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/objects.h ../include/asn1.h ../include/bn.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/rsa.h ../include/dsa.h \
	../include/dh.h ../include/x509.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
req.o: req.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/evp.h \
	../include/md2.h ../include/md5.h ../include/sha.h \
	../include/des.h ../include/rc4.h ../include/rc2.h \
	../include/blowfish.h ../include/idea.h ../include/mdc2.h \
	../include/rsa.h ../include/bn.h ../include/dsa.h \
	../include/dh.h ../include/objects.h ../include/asn1.h \
	../include/rand.h ../include/err.h ../include/x509.h \
	../include/x509_vfy.h ../include/pkcs7.h ../include/pem.h
rsa.o: rsa.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/rsa.h ../include/bn.h ../include/evp.h \
	../include/md2.h ../include/md5.h ../include/sha.h \
	../include/des.h ../include/rc4.h ../include/rc2.h \
	../include/blowfish.h ../include/idea.h ../include/mdc2.h \
	../include/dsa.h ../include/dh.h ../include/objects.h \
	../include/asn1.h ../include/x509.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
s_cb.o: s_cb.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/x509.h ../include/asn1.h ../include/bn.h \
	../include/rsa.h ../include/dsa.h ../include/dh.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/objects.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/ssl.h ../include/ssl2.h \
	../include/ssl3.h ../include/ssl23.h s_apps.h
s_client.o: s_client.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/x509.h \
	../include/asn1.h ../include/bn.h ../include/rsa.h \
	../include/dsa.h ../include/dh.h ../include/evp.h \
	../include/md2.h ../include/md5.h ../include/sha.h \
	../include/des.h ../include/rc4.h ../include/rc2.h \
	../include/blowfish.h ../include/idea.h ../include/mdc2.h \
	../include/objects.h ../include/x509_vfy.h ../include/pkcs7.h \
	../include/ssl.h ../include/ssl2.h ../include/ssl3.h \
	../include/ssl23.h ../include/err.h ../include/pem.h s_apps.h
s_server.o: s_server.c ../config.h ../include/lhash.h ../include/bn.h \
	apps.h ../e_os.h ../include/buffer.h ../include/bio.h \
	../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/err.h ../include/pem.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/rsa.h ../include/dsa.h \
	../include/dh.h ../include/objects.h ../include/asn1.h \
	../include/x509.h ../include/x509_vfy.h ../include/pkcs7.h \
	../include/ssl.h ../include/ssl2.h ../include/ssl3.h \
	../include/ssl23.h s_apps.h
s_socket.o: s_socket.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h s_apps.h ../include/ssl.h \
	../include/x509.h ../include/asn1.h ../include/bn.h \
	../include/rsa.h ../include/dsa.h ../include/dh.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/objects.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/ssl2.h ../include/ssl3.h \
	../include/ssl23.h
s_time.o: s_time.c ../config.h ../include/x509.h ../include/stack.h \
	../include/asn1.h ../include/bn.h ../include/rsa.h \
	../include/dsa.h ../include/dh.h ../include/evp.h \
	../include/md2.h ../include/md5.h ../include/sha.h \
	../include/des.h ../include/rc4.h ../include/rc2.h \
	../include/blowfish.h ../include/idea.h ../include/mdc2.h \
	../include/objects.h ../include/x509_vfy.h ../include/pkcs7.h \
	../include/bio.h ../include/ssl.h ../include/buffer.h \
	../include/ssl2.h ../include/ssl3.h ../include/ssl23.h \
	../include/pem.h apps.h ../e_os.h ../include/crypto.h progs.h \
	../include/conf.h ../include/lhash.h s_apps.h ../include/err.h
sess_id.o: sess_id.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/x509.h ../include/asn1.h ../include/bn.h \
	../include/rsa.h ../include/dsa.h ../include/dh.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/objects.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h ../include/ssl.h \
	../include/ssl2.h ../include/ssl3.h ../include/ssl23.h
speed.o: speed.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/rand.h \
	../include/err.h ../include/des.h ../include/md2.h \
	../include/mdc2.h ../include/md5.h ../include/sha.h \
	../include/rc4.h ../include/rc2.h ../include/idea.h \
	../include/blowfish.h ../include/rsa.h ../include/bn.h \
	../include/x509.h ../include/asn1.h ../include/dsa.h \
	../include/dh.h ../include/evp.h ../include/objects.h \
	../include/x509_vfy.h ../include/pkcs7.h testrsa.h testdsa.h
ssleay.o: ssleay.c ../config.h ../include/bio.h ../include/crypto.h \
	../include/lhash.h ../include/conf.h ../include/stack.h \
	../include/x509.h ../include/asn1.h ../include/bn.h \
	../include/rsa.h ../include/dsa.h ../include/dh.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/objects.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h ../include/ssl.h \
	../include/buffer.h ../include/ssl2.h ../include/ssl3.h \
	../include/ssl23.h apps.h ../e_os.h progs.h s_apps.h \
	../include/err.h
verify.o: verify.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/err.h \
	../include/x509.h ../include/asn1.h ../include/bn.h \
	../include/rsa.h ../include/dsa.h ../include/dh.h \
	../include/evp.h ../include/md2.h ../include/md5.h \
	../include/sha.h ../include/des.h ../include/rc4.h \
	../include/rc2.h ../include/blowfish.h ../include/idea.h \
	../include/mdc2.h ../include/objects.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h
version.o: version.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/evp.h \
	../include/md2.h ../include/md5.h ../include/sha.h \
	../include/des.h ../include/rc4.h ../include/rc2.h \
	../include/blowfish.h ../include/idea.h ../include/mdc2.h \
	../include/rsa.h ../include/bn.h ../include/dsa.h \
	../include/dh.h ../include/objects.h ../include/asn1.h
x509.o: x509.c ../config.h apps.h ../e_os.h ../include/buffer.h \
	../include/bio.h ../include/crypto.h progs.h ../include/conf.h \
	../include/stack.h ../include/lhash.h ../include/asn1.h \
	../include/bn.h ../include/err.h ../include/evp.h \
	../include/md2.h ../include/md5.h ../include/sha.h \
	../include/des.h ../include/rc4.h ../include/rc2.h \
	../include/blowfish.h ../include/idea.h ../include/mdc2.h \
	../include/rsa.h ../include/dsa.h ../include/dh.h \
	../include/objects.h ../include/x509.h ../include/x509_vfy.h \
	../include/pkcs7.h ../include/pem.h

info: info-recursive
dvi: dvi-recursive
check: all-am
	$(MAKE) check-recursive
installcheck: installcheck-recursive
all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(DATA)

install-exec-am: install-binPROGRAMS install-binSCRIPTS install-exec-local

install-data-am: install-sslDATA

uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-sslDATA

install-exec: install-exec-recursive install-exec-am
	@$(NORMAL_INSTALL)

install-data: install-data-recursive install-data-am
	@$(NORMAL_INSTALL)

install: install-recursive install-exec-am install-data-am
	@:

uninstall: uninstall-recursive uninstall-am

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs: installdirs-recursive
	$(mkinstalldirs)  $(DATADIR)$(bindir) $(DATADIR)$(bindir) \
		$(DATADIR)$(ssldir)


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am

mostlyclean:  mostlyclean-recursive mostlyclean-am

clean:  clean-recursive clean-am

distclean:  distclean-recursive distclean-am
	-rm -f config.status

maintainer-clean:  maintainer-clean-recursive maintainer-clean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile uninstall-binSCRIPTS install-binSCRIPTS \
uninstall-sslDATA install-sslDATA install-data-recursive \
uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info dvi \
installcheck all-am install-exec-am install-data-am uninstall-am \
install-exec install-data install uninstall all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


$(top_builddir)/ssl/libssl.a:
	cd $(top_builddir)/ssl; $(MAKE) $(MFLAGS) libssl.a

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a

sreq.o: req.c
	$(COMPILE) -UMONOLITH -o sreq.o -c req.c

mklinks rmlinks progs.h: g_ssleay.pl $(ssleay_SOURCES)
	perl g_ssleay.pl verify asn1pars req dgst dh enc gendh errstr \
		ca gendsa pkcs7 crl2p7 crl rsa dsa dsaparam x509 \
		genrsa s_server s_client speed s_time \
		version sess_id ciphers > progs.h

install-exec-local: mklinks
	cd $(bindir); $(SHELL) mklinks

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
